Name:           redir
Version:        2.2.1
Release:        7%{?dist}
Summary:        Redirect TCP connections

Group:          Applications/Internet
License:        GPL+
URL:            http://sammy.net/~sammy/hacks/
Source0:        http://sammy.net/~sammy/hacks/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: /usr/include/tcpd.h

#Include Debian Patches
Patch0:         01_fix_max_bandwidth_docs.dpatch
Patch1:         02_use_ntohs.dpatch
Patch2:         03_fix_tcp_wrappers.dpatch
Patch3:         04_fix_timeouts.dpatch
Patch4:         05_pedantic.dpatch
Patch5:         06_fix_shaper_buffer.dpatch
Patch6:         07_cosmetics.dpatch
Patch7:         08_add_wrappers.dpatch
Patch8:         09_add_linux_software_map.dpatch
Patch9:         15_deb_cosmetics.dpatch
Patch10:        20_do_not_strip.dpatch
Patch11:        25_fix_setsockopt.dpatch
Patch12:        30_fix_manpage.dpatch
#end of debian patches

Patch13:        redir_gcc4.4-signedness.patch
Patch14:        31_fix_transproxy_location.patch
%description
a port redirector, used to forward incoming connections to somewhere else.
by far the cleanest piece of code here, because someone else liked it
enough to fix it.

%prep
%setup -q

# Fix docs and --help to show --max_bandwidth instead of --maxbandwidth
%patch0 -p1

#use ntohs() to generate comprehensible debug()s and syslog()s
%patch1 -p1

#fix calls to tcp wrappers
%patch2 -p1

# fix and make timeout more verbose
%patch3 -p1

#changes to make clean up compilation, include missing time.h include
%patch4 -p1

#properly allocate copyloop buffer
%patch5 -p1

#cosmestic only patch
%patch6 -p1

#add tcp_wrapper support
%patch7 -p1

#description of redir
%patch8 -p1

#comestic only patch
%patch9 -p1

# do not stripping needed for debug-info package
%patch10 -p1

#make usage os setsockopt more verbose
%patch11 -p1

#Clean up questionable formatting in man page
%patch12 -p1

#fix compile warning with gcc 4.4
%patch13 -p2

# fix location of transproxy.txt
%patch14 -p2

# Convert to utf-8
for file in CHANGES; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -Dp -m 755 %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
install -Dp -m 644 %{name}.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING trans*.txt
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Jul 08 2010 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.2.1-7
- change buildrequires to use filenames(easy to deal with fedora /  EL)

* Mon May 10 2010 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.2.1-6
- fix building for EL-6

* Fri Sep 25 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 2.2.1-5
- start building for EPEL

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 04 2009 Itamar Reis Peixoto - 2.2.1-3
- fix compile warning with gcc 4.4
- include README and COPYING into %%doc section
- remove attr from files section
- convert CHANGES TO utf-8
- fix location of transproxy.txt file in manpage

* Wed Apr 01 2009 Itamar Reis Peixoto - 2.2.1-2
- Include Debian Patches

* Tue Mar 31 2009 Itamar Reis Peixoto - 2.2.1-1
- Initial RPM version
